App\Library\Amazon\Classes\FashionRing\VariationDataAType:
    properties:
        parentage:
            expose: true
            access_type: public_method
            serialized_name: Parentage
            accessor:
                getter: getParentage
                setter: setParentage
            type: string
        variationTheme:
            expose: true
            access_type: public_method
            serialized_name: VariationTheme
            accessor:
                getter: getVariationTheme
                setter: setVariationTheme
            type: string
        ringSize:
            expose: true
            access_type: public_method
            serialized_name: RingSize
            accessor:
                getter: getRingSize
                setter: setRingSize
            type: string
        metalType:
            expose: true
            access_type: public_method
            serialized_name: MetalType
            accessor:
                getter: getMetalType
                setter: setMetalType
            type: string
